package com.yanzuoguang.token;

import com.yanzuoguang.util.vo.MapRow;

/**
 * Token创建数据
 *
 * @author 颜佐光
 */
public class TokenData {

    /**
     * token标记
     */
    private String token;

    /**
     * 数据密钥
     */
    private String dataPwd;

    /**
     * 有效时间
     */
    private long expire = Long.MAX_VALUE;

    /**
     * 缓存的数据
     */
    private MapRow data = new MapRow();

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getDataPwd() {
        return dataPwd;
    }

    public void setDataPwd(String dataPwd) {
        this.dataPwd = dataPwd;
    }

    public long getExpire() {
        return expire;
    }

    public void setExpire(long expire) {
        this.expire = expire;
    }

    public MapRow getData() {
        return data;
    }

    public void setData(MapRow data) {
        this.data = data;
    }
}
